Subject: Re: [Capwap] Issue 202: Multiple stations in a single Mobile ConfigRequest

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Tue, 5 Sep 2006 09:25:11 -0700

Given no response, I am assuming the group is comfortable with the
proposed text. Closing the issue.

Pat Calhoun
CTO, Wireless Networking Business Unit
Cisco Systems

> -----Original Message-----
> From: Pat Calhoun (pacalhou) 
> Sent: Thursday, August 17, 2006 10:58 AM
> To: [email-masked]
> Subject: [Capwap] Issue 202: Multiple stations in a single 
> Mobile ConfigRequest
> 
> 59) it doesn't say if one message can be used to update more 
> than one STA. It should be able.
> 60) IEEE 802.11 Mobile. shouldn't the STA MAC address be 
> included so this message element can be matched with a 
> (4.4.8)Add Mobile message element?
> 
> <PRC> Dave was correct that all of the other message elements 
> had a MAC address field, which would allow for having 
> multiple mobile state being added within a single Mobile 
> Config Request message.
> 
> By adding a MAC address to the IEEE 802.11 Mobile message 
> element, it is now possible for the AC to send a single 
> message for multiple stations (or whatever we end up wanting 
> to call them). So I have made the following simple change:
> 
> <proposed text>
> x.x IEEE 802.11 Station
> [...]
> 
>    0                   1                   2                   3
>    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>   |    Radio ID   |        Association ID         |     Flags     |
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>   |                           MAC Address                     
>     | <==
> NEW
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>   |          MAC Address          |          Capabilities         |
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>   |   WLAN ID     |Supported Rates|
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> </proposed text>
> 
> Note that practically, I'm not sure this feature would be 
> used very often, as it would also require the AC to cache 
> requests to combine them at a later date. However, it does 
> create consistency in ensuring that all of the message 
> elements have the mac address field.
> 
> comments?
> 
> Pat Calhoun
> CTO, Wireless Networking Business Unit
> Cisco Systems
> _________________________________________________________________
> To unsubscribe or modify your subscription options, please visit:
> http://lists.frascone.com/mailman/listinfo/capwap
> 
> Archives: http://lists.frascone.com/pipermail/capwap
> 
_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap